<ion-header><ion-toolbar><ion-title>Editar usuario</ion-title></ion-toolbar></ion-header>
<ion-content class="ion-padding">
  <h1>Añadir proyecto</h1>
  <form class="form" [formGroup]="projectsForm" (ngSubmit)="setProjectsData(projectsForm.value)">
    <small style="color:red;">Siempre poner 29xNUMPROYECTO</small>
  <ion-item>
    <ion-label>Proyectos ha añadir</ion-label>
    <ion-input type="text" formControlName="projects"></ion-input>
    <ion-button slot="end" type="submit" expand="block" [disabled]="!projectsForm.valid" style="margin-top: 15px;">
      <ion-icon name="save-outline"></ion-icon>
    </ion-button>
  </ion-item>
  <div *ngFor="let error of error_msg.projects">
    <div
      *ngIf="projectsForm.get('projects').hasError(error.type) && (projectsForm.get('projects').dirty || projectsForm.get('projects').touched)">
      <i style="color: red;font-size: small;"> {{ error.message }}</i>
    </div>
  </div>

  <label class="ion-text-center" color="danger">{{errorMsg}}</label>
  <label class="ion-text-center" color="success">{{successMsg}}</label>
</form>

<h1>Añadir cuenta de proyectos</h1>
<form class="form" [formGroup]="linkAccountsForm" (ngSubmit)="setlinkAccount(linkAccountsForm.value)">
  <ion-item>
    <ion-label>Añadir a grupo </ion-label>
    <ion-input type="text" formControlName="linkAccounts"></ion-input>
    <ion-button slot="end" type="submit" expand="block" [disabled]="!linkAccountsForm.valid" style="margin-top: 15px;">
      <ion-icon name="save-outline"></ion-icon>
    </ion-button>
  </ion-item>
  <div *ngFor="let error of error_msg.linkAccounts">
    <div
      *ngIf="linkAccountsForm.get('linkAccounts').hasError(error.type) && (linkAccountsForm.get('linkAccounts').dirty || linkAccountsForm.get('linkAccounts').touched)">
      <i style="color: red;font-size: small;"> {{ error.message }}</i>
    </div>
  </div>
  <label class="ion-text-center" color="danger">{{errorMsg}}</label>
  <label class="ion-text-center" color="success">{{successMsg}}</label>
</form>
</ion-content>
<ion-button (click)="canDismiss()">Volver</ion-button>
